Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.config
Class PeerDataConfiguration

    java.lang.Object
      lbg.peer.config.PeerDataConfiguration

    public class PeerDataConfiguration

extends java.lang.Object

Author:
  Cyril Briquet, Xavier Dalem

Constructor Summary
`PeerDataConfiguration(GridConfiguration grid_config, int g)`
`PeerDataConfiguration(java.util.Properties props)`

Method Summary
`static int[]` | `buildRcvPolicy(java.lang.String policy)` Deprecated. You shoudln't need to build any of these, the receiving policy is now enforced by the GridDataManager.
`java.lang.String` | `CACHE_DIR()`
`int` | `DATA_HOST_POLICY()`
`java.lang.String` | `format(boolean log_format)` Outputs the PeerDataConfiguration, formatted either as a property file or as a log file.
`boolean` | `PEER_DATA_REPLICATION()`
`float` | `PEER_IDLE_REPLICATION_RATIO()`
`boolean` | `PEER_STORAGE_AFFINITY()`
`boolean` | `PEER_TTG_POLICY()`
`int` | `SUPPLYING_CACHE_CAPACITY()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PeerDataConfiguration

    public PeerDataConfiguration(java.util.Properties props)
                          throws GridException

Throws:
  `GridException`

### PeerDataConfiguration

    public PeerDataConfiguration(GridConfiguration grid_config,
                                 int g)
                          throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### format

    public java.lang.String format(boolean log_format)

  Outputs the PeerDataConfiguration, formatted either as a property file or as a log file.

  Parameters:
    `log_format` - true to format PeerDataConfiguration as a log file
  Returns:
    formatted PeerDataConfiguration

### CACHE_DIR

    public java.lang.String CACHE_DIR()

### DATA_HOST_POLICY

    public int DATA_HOST_POLICY()

### SUPPLYING_CACHE_CAPACITY

    public int SUPPLYING_CACHE_CAPACITY()

### PEER_TTG_POLICY

    public boolean PEER_TTG_POLICY()

### PEER_STORAGE_AFFINITY

    public boolean PEER_STORAGE_AFFINITY()

### PEER_DATA_REPLICATION

    public boolean PEER_DATA_REPLICATION()

### PEER_IDLE_REPLICATION_RATIO

    public float PEER_IDLE_REPLICATION_RATIO()

### buildRcvPolicy

    @Deprecated
    public static int[] buildRcvPolicy(java.lang.String policy)
                                throws GridException

  Deprecated. You shoudln't need to build any of these, the receiving policy is now enforced by the GridDataManager.

  Gets a downloading policy for data. Download options currently are INLINE (implicitly set as the best one), TORRENT and FTP.

  Parameters:
    `policy` - An ordered list of download options, highest priority first
  Returns:
    An array of download options, in decreasing order of preference. null if no policy was given. The returned array will always all valid options.
  Throws:
    `GridException` - if the policy is is badly formed or incomplete

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.